const child_process = require('child_process');
const _vscodeJsonrpc = require('vscode-jsonrpc');

const readline = require('readline');

const rl = readline.createInterface({
  input: process.stdin,
  output: process.stdout,
});

console.log('blocking?');
rl.prompt();
console.log('yet');

const proc = child_process.fork(
  './graphql.js', [
    'server',
    '--method', 'stream',
    '-c', '/Users/asiandrummer/fbsource/fbobjc',
  ], {'silent': true});

const writer = new _vscodeJsonrpc.StreamMessageWriter(proc.stdin);

proc.stdin.setEncoding('utf8');
proc.stdout.setEncoding('utf8');

proc.stdout.on('data', d => {
  console.log('data from stdout');
  console.log(d);
});
proc.stdout.on('error', d => {
  console.log('error from stdout');
  console.log(d);
});
proc.stdin.on('error', e => {
  console.log('error from stdin');
  console.log(e);
});

writer.write({
  jsonrpc: '2.0',
  id: 0,
  method: 'initialize',
  params: {
    'rootPath': '/Users/asiandrummer/fbsource/fbobjc'
  },
});

